<div>
    <h2 id="page-heading">
        <span jhiTranslate="restaurantApplicationApp.shipment.home.title">Shipments</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-shipment" [routerLink]="['/shipment/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="restaurantApplicationApp.shipment.home.createLabel">
            Create new Shipment
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="shipments">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="trackingCode"><span jhiTranslate="restaurantApplicationApp.shipment.trackingCode">Tracking Code</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="date"><span jhiTranslate="restaurantApplicationApp.shipment.date">Date</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="details"><span jhiTranslate="restaurantApplicationApp.shipment.details">Details</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="invoice.code"><span jhiTranslate="restaurantApplicationApp.shipment.invoice">Invoice</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let shipment of shipments ;trackBy: trackId">
                <td><a [routerLink]="['/shipment', shipment.id, 'view' ]">{{shipment.id}}</a></td>
                <td>{{shipment.trackingCode}}</td>
                <td>{{shipment.date | date:'medium'}}</td>
                <td>{{shipment.details}}</td>
                <td>
                    <div *ngIf="shipment.invoice">
                        <a [routerLink]="['../invoice', shipment.invoice?.id, 'view' ]" >{{shipment.invoice?.code}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/shipment', shipment.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/shipment', shipment.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'shipment', { outlets: { popup: shipment.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="shipments && shipments.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [maxSize]="5" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
